﻿/*START: Validation Message test*/
.navbar-logo {
    width: 160px !important;
    height: 30px !important;
}

.is-invalid {
    color: #DA1010;
    font-size: 12px;
}

.field-validation-error {
    color: #DA1010;
    font-size: 12px;
}

.input-validation-error {
    border-color: #DA1010;
    padding-right: calc(1.5em + 1.55rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23f1416c'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23f1416c' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.3875rem) center;
    background-size: calc(0.75em + 0.775rem) calc(0.75em + 0.775rem);
    margin-bottom: 3px;
}


    .input-validation-error ~ .invalid-feedback,
    .input-validation-error ~ .invalid-tooltip {
        display: block;
    }

.form-control.input-validation-error {
    border-color: #DA1010;
    padding-right: calc(1.5em + 1.55rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23f1416c'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23f1416c' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.3875rem) center;
    background-size: calc(0.75em + 0.775rem) calc(0.75em + 0.775rem);
}

    .form-control.input-validation-error:focus {
        border-color: #DA1010;
        box-shadow: 0 0 0 0.25rem rgba(var(--bs-danger-rgb), 0.25);
    }

textarea.form-control.input-validation-error {
    padding-right: calc(1.5em + 1.55rem);
    background-position: top calc(0.375em + 0.3875rem) right calc(0.375em + 0.3875rem);
}

.form-select.input-validation-error {
    border-color: #DA1010;
}

    .form-select.input-validation-error:not([multiple]):not([size]), .form-select.input-validation-error:not([multiple])[size="1"] {
        --bs-form-select-bg-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23f1416c'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23f1416c' stroke='none'/%3e%3c/svg%3e");
        padding-right: 5.5rem;
        background-position: right 1rem center, center right 3rem;
        background-size: 16px 12px, calc(0.75em + 0.775rem) calc(0.75em + 0.775rem);
    }

    .form-select.input-validation-error:focus {
        border-color: #DA1010;
        box-shadow: 0 0 0 0.25rem rgba(var(--bs-danger-rgb), 0.25);
    }

.form-control-color.input-validation-error {
    width: calc(3rem + calc(1.5em + 1.55rem));
}

.form-check-input.input-validation-error {
    border-color: #DA1010;
}

    .form-check-input.input-validation-error:checked {
        background-color: var(--bs-form-invalid-color);
    }

    .form-check-input.input-validation-error:focus {
        box-shadow: 0 0 0 0.25rem rgba(var(--bs-danger-rgb), 0.25);
    }

    .form-check-input.input-validation-error ~ .form-check-label {
        color: #DA1010 !important;
    }


/*END: Validation Message*/